<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.5.4</version>
        <relativePath/>
    </parent>

    <groupId>com.starry</groupId>
    <artifactId>play-with</artifactId>
    <version>1.0</version>
    <packaging>pom</packaging>

    <modules>
        <module>play-admin</module>
        <module>play-common</module>
        <module>play-generator</module>
    </modules>

    <!--定义相关属性，使用${属性名}的方式引用该属性-->
    <properties>
        <java.version>1.8</java.version>
        <!--mybatis-plus-->
        <mybatis-plus.version>3.5.3.2</mybatis-plus.version>
        <mybatis-plus-join.version>1.4.10</mybatis-plus-join.version>
        <!-- swagger -->
        <swagger.version>2.0.7</swagger.version>
        <!--JWT(Json Web Token)登录支持-->
        <jwt.version>0.9.0</jwt.version>
        <!-- transmittable -->
        <transmittable-thread-local.version>2.14.5</transmittable-thread-local.version>
        <!-- hutool 工具库-->
        <hutool.version>5.8.26</hutool.version>
        <!-- druid连接池 -->
        <druid-version>1.2.21</druid-version>
        <!-- io常用工具类 -->
        <commom-io.version>2.15.1</commom-io.version>
        <!-- 阿里JSON解析器 -->
        <fastjson2-version>2.0.47</fastjson2-version>
        <!-- velocity 模板引擎 -->
        <velocity-version>2.1</velocity-version>
        <!-- 获取系统信息 -->
        <oshi-version>6.5.0</oshi-version>
        <!-- easyexcel -->
        <easyexcel.version>2.2.11</easyexcel.version>
        <!--        weichat-->
        <weixin-java.version>4.6.0</weixin-java.version>
        <ws-schild.version>3.1.1</ws-schild.version>


        <!--腾讯云 COS 对象存储-->
        <cos-version>5.6.205</cos-version>
        <!--阿里云 COS 对象存储-->
        <aliyun-oss.version>3.17.4</aliyun-oss.version>
        <!--腾讯云 COS 临时密钥-->
        <cos_sts-version>3.1.1</cos_sts-version>
        <!--   gson     -->
        <gson-version>2.10.1</gson-version>
        <redisson.version>3.24.3</redisson.version>
        <lock4j.version>2.2.5</lock4j.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>
            <!--mybatis-plus-->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.yulichang</groupId>
                <artifactId>mybatis-plus-join-boot-starter</artifactId>
                <version>${mybatis-plus-join.version}</version>
            </dependency>

            <!-- hutool 工具类库 -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <!-- druid连接池 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid-version}</version>
            </dependency>
            <!--swagger-->
            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-spring-boot-starter</artifactId>
                <version>${swagger.version}</version>
            </dependency>
            <!--JWT(Json Web Token)登录支持-->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jwt.version}</version>
            </dependency>
            <!-- 线程传递值 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>
            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commom-io.version}</version>
            </dependency>
            <!-- 阿里JSON解析器 -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2-version}</version>
            </dependency>
            <!-- velocity 模板引擎, Mybatis Plus 代码生成器需要 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity-version}</version>
            </dependency>
            <!-- 获取系统信息 -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>${oshi-version}</version>
            </dependency>
            <!-- easyexcel -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel</artifactId>
                <version>${easyexcel.version}</version>
            </dependency>

            <dependency>
                <groupId>com.google.code.gson</groupId>
                <artifactId>gson</artifactId>
                <version>${gson-version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.gavlyukovskiy</groupId>
                <artifactId>p6spy-spring-boot-starter</artifactId>
                <version>1.9.1</version>
            </dependency>


            <!--通用模块-->
            <dependency>
                <groupId>com.starry</groupId>
                <artifactId>play-common</artifactId>
                <version>1.0</version>
            </dependency>
            <!--代码生成模块-->
            <dependency>
                <groupId>com.starry</groupId>
                <artifactId>play-generator</artifactId>
                <version>1.0</version>
            </dependency>
            <!--服务模块-->
            <dependency>
                <groupId>com.starry</groupId>
                <artifactId>play-admin</artifactId>
                <version>1.0</version>
            </dependency>
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyun-oss.version}</version>
            </dependency>

            <!--weixin-java-common-->

            <dependency>
                <groupId>com.github.binarywang</groupId>
                <artifactId>wx-java-mp-spring-boot-starter</artifactId>
                <version>${weixin-java.version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.wxpay</groupId>
                <artifactId>wxpay-sdk</artifactId>
                <version>0.0.3</version>
            </dependency>


            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson-spring-boot-starter</artifactId>
                <version>${redisson.version}</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>lock4j-redisson-spring-boot-starter</artifactId>
                <version>${lock4j.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.9</version>
            </dependency>

            <dependency>
                <groupId>ws.schild</groupId>
                <artifactId>jave-core</artifactId>
                <version>${ws-schild.version}</version>
            </dependency>

            <dependency>
                <groupId>ws.schild</groupId>
                <artifactId>jave-nativebin-linux64</artifactId>
                <version>${ws-schild.version}</version>
            </dependency>
            <dependency>
                <groupId>com.squareup.okio</groupId>
                <artifactId>okio</artifactId>
                <version>3.4.0</version>
            </dependency>

            <!-- https://mvnrepository.com/artifact/org.lionsoul/ip2region -->
            <dependency>
                <groupId>org.lionsoul</groupId>
                <artifactId>ip2region</artifactId>
                <version>1.7.2</version>
            </dependency>




        </dependencies>
    </dependencyManagement>
</project>